#include<iostream>
#include<cmath>
using namespace std;
int brCif(long long br)
{
	int rez=0;
	while(br>0){
		br/=10;
		rez++;
	}
	return rez;
}
int main()
{
	long long a, b, c, cifa, cifb, cifc, broj[6], najv;
	cin>>a>>b>>c;
	cifa=brCif(a);
	cifb=brCif(b);
	cifc=brCif(c);
	broj[0]=a*pow(10, cifb+cifc)+b*pow(10, cifc)+c;
	broj[1]=a*pow(10, cifb+cifc)+c*pow(10, cifb)+b;
	broj[2]=b*pow(10, cifa+cifc)+a*pow(10, cifc)+c;
	broj[3]=b*pow(10, cifa+cifc)+c*pow(10, cifa)+a;
	broj[4]=c*pow(10, cifb+cifa)+a*pow(10, cifb)+b;
	broj[5]=c*pow(10, cifb+cifa)+b*pow(10, cifa)+a;
	najv=broj[0];
	for(int i=1; i<6; i++){
		if(broj[i]>najv)
		    najv=broj[i];
	}
	cout<<najv<<endl;
	return 0;
}